GST Certificate OCR — Extract GSTIN Details
Upload a GST certificate image and extract GSTIN, business name, address, registration date, and taxpayer type automatically.
curl -X POST "https://production.deepvue.tech/v1/documents/extraction/gstin-certificate" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
-H "x-api-key: YOUR_API_KEY" \
-d '{
"document1": "example_string"
}'
import requests
import json
url = "https://production.deepvue.tech/v1/documents/extraction/gstin-certificate"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
data = {
"document1": "example_string"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://production.deepvue.tech/v1/documents/extraction/gstin-certificate", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
},
body: JSON.stringify({
"document1": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"document1": "example_string"
}`)
req, err := http.NewRequest("POST", "https://production.deepvue.tech/v1/documents/extraction/gstin-certificate", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://production.deepvue.tech/v1/documents/extraction/gstin-certificate')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
request['x-api-key'] = 'YOUR_API_KEY'
request.body = '{
"document1": "example_string"
}'
response = http.request(request)
puts response.body
{
"code": 200,
"transaction_id": "string",
"message": "Document processed successfuly",
"data": {
"address": "string",
"constitution_of_business": "string",
"date_of_liability": "string",
"gstin": "string",
"is_provisional": "string",
"legal_name": "string",
"pan_number": "string",
"trade_name": "string",
"type_of_registration": "string",
"valid_from": "string",
"valid_upto": "string"
}
}
{
"detail": "Inactive client_id"
}
{
"detail": "Not authenticated"
}
{
"detail": "Not a valid token"
}
{
"transaction_id": "string",
"code": 422,
"message": "Empty document. Valid base64 required."
}
{
"detail": "Internal Server Error"
}
/v1/documents/extraction/gstin-certificate
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
The media type of the request body
The document that needs to be processed for GSTIN certificate extraction.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (JWT). ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Body
The document that needs to be processed for GSTIN certificate extraction.
Responses
Overview
The GST Certificate OCR API provides real-time extraction of details from GST Certificate images. The service utilizes OCR technology to scan and extract structured data from GST certificates, converting image-based documents into machine-readable information.
You can provide the certificate image in one of two formats: a base64-encoded document string or a publicly accessible URL pointing to the document.
Last updated 4 weeks ago
Built with Documentation.AI